<template>
  <div class="statistics">
    <p class="statistics__description">
      {{ $t('text') }}
    </p>
    <div class="statistics__content content">
      <div class="content__info">
        <div class="content__item">
          <p>Market Cap</p>
          <span>${{getMktCap}}</span>
        </div>
        <div class="content__item">
          <p>Volume 24h</p>
          <span>$305,100</span>
        </div>
        <div class="content__item">
          <p>Circulationg / Max Supply</p>
          <span>1,000,000,000</span>
        </div>
      </div>
      <div class="content__img">
        <img
          src="../../assets/img/statistics-logo.svg"
          alt="statistics-logo"
          width="338"
          height="338"
        />
        <a href="https://www.tbcc.com/" target="_blank" class="arrow-link"
          >Trade Now</a
        >
      </div>
      <div class="content__info-right">
        <div class="content__item">
          <p>Total Supply:</p>
          <span>1 BLN</span>
        </div>
        <div class="content__item">
          <p>Holders:</p>
          <span>219,734</span>
        </div>
        <div class="content__item">
          <p>Transfers:</p>
          <span>298,517</span>
        </div>
      </div>
    </div>
    <div class="statistics__actions">
      <a
        href="https://www.tbcc.com/trade/TBCC_USDT"
        target="_blank"
        class="arrow-link"
        >Trade Now</a
      >
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "text": "TBCC is a utility BEP-20 token of the TBCC ecosystem powered by Binance Smart Chain. It was launched back in 2020, as a profit-sharing token that allows traders and investors to get value from settling transaction fees in the TBCC system, staking, investing, paying for goods and services. As our ecosystem grows, the token will become a key currency of TBCC's decentralised financial services."
  },
  "ch": {
    "text": "TBCC是由Binance智能链驱动的TBCC生态系统的一个原生BEP-20代币。它早在2020年推出，作为一种利润分享代币，允许交易者和投资者从TBCC系统中结算交易费用、押注、投资、支付商品和服务中获得价值。随着我们生态系统的发展，该代币将成为TBCC去中心化金融服务的一个关键货币。"
  },
  "tur": {
    "text": "TBCC is a utility BEP-20 token of the TBCC ecosystem powered by Binance Smart Chain. It was launched back in 2020, as a profit-sharing token that allows traders and investors to get value from settling transaction fees in the TBCC system, staking, investing, paying for goods and services. As our ecosystem grows, the token will become a key currency of TBCC's decentralised financial services."
  }
}
</i18n>

<script>
import { mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters({
      getMktCap: 'getMktCap'
    })
  }
}
</script>

<style lang="scss" scoped>
.statistics {
  background-color: #dbe1f1;
  width: 100%;
  border-radius: 36px;
  display: flex;
  flex-direction: column;
  align-items: center;

  @media (max-width: 767px) {
    background: transparent;
  }

  &__title {
    font-weight: 400;
    font-size: 42px;
    color: #05204a;
    margin: 0 0 25px;
  }

  &__description {
    font-weight: 400;
    font-size: 17px;
    color: #05204a;
    opacity: 0.6;
    max-width: 680px;
    text-align: center;
    margin: 0 0 40px;
  }

  &__content {
    display: flex;
    margin-bottom: 48px;

    @media (min-width: 768px) {
      justify-content: center;
      align-items: center;
    }
  }

  &__actions {
    display: flex;
    justify-content: center;
    align-items: center;

    a {
      @media (max-width: 1023px) {
        display: none;
      }
    }
  }
}

.content {
  @media (max-width: 1023px) {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  &__info {
    text-align: right;
    margin-right: 120px;
    width: 160px;

    @media (max-width: 1023px) {
      padding-right: 10px;
    }
  }

  &__info-right {
    text-align: left;
    margin-left: 120px;
    width: 160px;

    @media (min-width: 768px) and (max-width: 1023px) {
      text-align: right !important;
      margin-left: 120px !important;
      width: 160px !important;
    }

    @media (max-width: 1023px) {
      padding-left: 10px;
    }
  }

  &__info-right,
  &__info {
    @media (max-width: 1023px) {
      width: auto;
      margin: 0;
      text-align: unset;
      justify-content: flex-start;
    }
  }

  &__item {
    &:not(:last-child) {
      margin-bottom: 35px;

      @media (max-width: 1023px) {
        margin-bottom: 40px;
      }
    }

    p {
      font-size: 14px;
      color: rgba(5, 32, 74, 0.6);
      margin: 0 0 10px;
    }

    span {
      font-weight: 600;
      font-size: 24px;
      color: #05204a;

      @media (max-width: 1023px) {
        font-size: 20px;
      }
    }
  }

  &__img {
    display: flex;
    flex-direction: column;
    align-items: center;

    a {
      display: none;
    }

    @media (max-width: 1023px) {
      flex: 0 0 100%;
      max-width: 100%;
      order: -1;
      width: 100%;
      margin-bottom: 28px;

      img {
        width: 100%;
        height: 100%;
        max-width: 338px;
        max-height: 338px;
        margin-bottom: 20px;

        @media (max-width: 767px) {
          max-width: 246px;
          max-height: 246px;
        }
      }

      a {
        display: block;
      }
    }
  }
}

.arrow-link {
  margin-left: 35px;
}
</style>
